package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.FireCheckRecordUserAddCmd;
import com.zcloud.fire.check.dto.FireCheckRecordUserPageQry;
import com.zcloud.fire.check.dto.FireCheckRecordUserUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckRecordUserCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-12 11:12:05
 */
public interface FireCheckRecordUserServiceI {
    PageResponse<FireCheckRecordUserCO> listPage(FireCheckRecordUserPageQry qry);

    SingleResponse<FireCheckRecordUserCO> add(FireCheckRecordUserAddCmd cmd);

    void edit(FireCheckRecordUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

